<?php function tweetmap_settings() { ?>

	<form name="latitude_settings" method="post">

		<p>
			<input type="submit" name="submit" value="Sync Tweets" />
		</p>
		<br/>
		<table>
			<tr>
				<td><label for="twitter_username">Twitter Username:</label> </td>
				<td>
					<input type="text" name="twitter_username" id="twitter_username" class="regular-text" value="<?php echo get_option('tweetmap_twitter_username'); ?>" style="width:10em;" />
				</td>
			</tr>
			<tr>
				<td><label for="max_tweets">Maximum Number of Geotagged Tweets:</label> </td>
				<td>
					<input type="text" name="max_tweets" id="max_tweets" class="regular-text" value="<?php echo get_option('tweetmap_max_tweets'); ?>" maxlength="2" style="width:4em;" />
				</td>
			</tr>
			<tr>
				<td><label for="custom_css">Custom CSS for Map Div:</label> </td>
				<td>
					<textarea name="custom_css" id="custom_css" class="regular-text" style="width:300px;height:120px;"><?php echo get_option('tweetmap_custom_css'); ?></textarea>
				</td>
			</tr>
		</table>
		
		<p>
			<input type="submit" name="submit" value="Update Options" />
		</p>
		<br/>
		<p style="font-weight:bold;">ShortCode Options for [tweet-map /]</p>
		<ul style="list-style-type:circle;padding-left:20px;">
			<li>height = height of the map in pixels</li>
			<li>width = width of the map in pixels</li>
			<li>max = maximum number of tweetss to display on the map</li>
			<li>maptype = Google map type ( HYBRID, ROADMAP, SATELLITE, TERRAIN )</li>
			<li>mapcontrol = show map type control ( true / false )</li>
			<li>controlstyle = map control style ( DEFAULT, DROPDOWN_MENU, HORIZONTAL_BAR )</li>
			<li>zoomcontrol = show zoom controls ( true / false )</li>
			<li>zoomstyle = zoom control style ( DEFAULT, SMALL, LARGE )</li>
			<li>pancontrol = show pan control ( true / false )</li>
			<li>streetcontrol = show steet view control ( true / false )</li>
			<li>haveoverview = include overview map button ( true / false )</li>
			<li>openoverview = open overview map ( true / false )</li>
			<li>disabledefaultui = disable default UI ( true / false )</li>
			<li>showpath = show path between the tweets ( true / false )</li>
			<li>pathcolor = color of the path ( HTML color codes )</li>
			<li>pathweight = weight of the path in pixels</li>
			<li>pathopacity = opacity of the path ( 0.0 - 1.0 )</li>
			<li>currentcolor = color of the marker for the latest tweet ( HTML color codes )</li>
			<li>pastcolor = color of the marker for past tweets ( HTML color codes )</li>
		</ul>
	</form>


<?php } ?>